Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.extent
Interface SpatialTemporalExtent

All Superinterfaces:
  TemporalExtent

    @UML(identifier="EX_SpatialTemporalExtent",
         specification=ISO_19115)
    public interface SpatialTemporalExtent

extends TemporalExtent

Extent with respect to date/time and spatial boundaries.

Since:
  GeoAPI 1.0

Method Summary
`Collection<? extends GeographicExtent>` | `getSpatialExtent()` Returns the spatial extent component of composite spatial and temporal extent.

Methods inherited from interface TemporalExtent
`getExtent`

Method Detail

### getSpatialExtent

    @UML(identifier="spatialExtent",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends GeographicExtent> getSpatialExtent()

  Returns the spatial extent component of composite spatial and temporal extent.

  Returns:
    The list of geographic extents (never `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.